<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
JsDir("cerrar.php");	
return;
}
//-------------------------
$VP_RegXPag=1000;
//-------------------------
$StrPag=V($_POST['TxtPag']);	
//-------------------------
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
//-------------------------
$StrEmp=V($_POST['CboEmp']);		
$StrAlm=V($_POST['CboAlm']);			
$StrCom=V($_POST['CboCom']);		
$StrSer=V($_POST['TxtSer']);		
$StrDex=V($_POST['TxtDex']);
$StrHax=V($_POST['TxtHax']);		
$StrTdp=V($_POST['CboTdp']);
if(strlen($StrDex)==0)$StrDex=FECHA_SEM_PD();
if(strlen($StrHax)==0)$StrHax=FECHA_HOY();
//-------------------------
if($StrCmd=="F"){
$StrPag="0";
}
//
if(strlen($StrEmp)==0)$StrEmp=GE("S");
if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");
//
if(strlen($StrCom)==0) $StrCom="TODOS";
if(strlen($StrTdp)==0) $StrTdp=GetSO("tipp_nombre","tipos_pagos","","tipp_nombre");	
//-------------------------
$StrEmp_=LIKE($StrEmp);
$StrAlm_=LIKE($StrAlm);
$StrCom_=LIKE($StrCom);
$StrNum_=$StrNum."%";
$StrSer_=$StrSer."%";
$StrTdp_=substr($StrTdp,0,2);
$StrDex_=val_dex($StrDex);
$StrHax_=val_hax($StrHax);
$StrPro_=$StrPro."%";
//-------------------------
$FF="ID>0 AND EMPC LIKE '$StrEmp_' AND
	 ALM LIKE '$StrAlm_' AND 
	 COM LIKE '$StrCom_' AND 
	 NUM LIKE '$StrNum_' AND 
	 SER LIKE '$StrSer_' AND 
	 FEC >= '$StrDex_' AND 
	 FEC <= '$StrHax_' AND TDP LIKE '$StrTdp_' AND 
	 CLI LIKE '$StrPro_' AND ANU='N'";
//-------------------------
$StrTR=gn("count(*)","vventas",$FF);
//
if($StrCmd=="PDF"){	
//
$TI="REPORTE DE VENTAS DE LA SEMANA :: ALMACEN : $StrAlm ($StrDex - $StrHax)";
$s="SELECT COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,TOT
    FROM vventas 
	WHERE $FF ORDER BY ALM,COM,ISER,INUM,FEC,CLI ";
$T="COMPROB.,NUMERO,FECHA,CLIENTE,TOTAL";
$E="10, 10, 8,44,10";
$A=" 0, 0, 0, 0,2";		
//
$_ID=GenId("id","reportes");
PDF_TIT($_ID,$TI);
PDF_SQL($_ID,$s);
PDF_CAM($_ID,$T);
PDF_ESP($_ID,$E);
PDF_ANC($_ID,$A);		
$StrFilePDF=PDF_CREATE($_ID);	
//
JsDir($StrFilePDF);
return;			
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de ventas de la semana</title>
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}

</script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:1000px;
	height:600px;
	position:absolute;
	left:50%;
	top:50%;
	background-color:#006699;
	margin:-300px 0 0 -500px;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.Estilo5 {color: #000000}

-->
</style>

</head>
<body  <?php echo $StrMsg;?>>
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" action="rep_ventas_xsem.php">
<input name="TxtPag" id="TxtPag" type="hidden" value="<?php echo $LStrPag; ?>" />

  
    <div id="layer5" style="position:absolute; left: 116px; top: 50px; width: 85px; height: 28px;">
      <div align="left" class="f2">
        <input name="CmdV" type="button" id="CmdV" 
        value="Volver" onclick="fVolver('menu.php');" />
        <input type="hidden" name="TxtAc" id="TxtAc" />
      </div>
  </div>


<div id="layer3" style="position:absolute; left: 30px; top: 138px; width: 938px; height: 428px; overflow:auto">
<div align="left" class="f2">
<table id="Exportar_a_Excel" width="922" height="19" border="1" cellpadding="0" cellspacing="0">

<tr>
<td height="18" colspan="6" bgcolor="#666666" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<td width="203" bgcolor="#999999"><span class="x4">EMPRESA / ALMACEN</span></td>
<td width="92" bgcolor="#999999"><span class="x4">COMPROB.</span></td>
<td width="111" bgcolor="#999999"><span class="x4">NUMERO</span></td>
<td width="80" bgcolor="#999999"><span class="x4">FECHA</span></td>
<td width="314" bgcolor="#999999"><span class="x4">CLIENTE</span></td>
<td width="108" bgcolor="#999999" style="text-align:right"><span class="x4">TOTAL</span></td>
</tr>
<?php	
$TOTAL=0; 		
$StrTemp= vbval($StrPag) * vbval($VP_RegXPag);
$ss="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),
	 SUBSTRING(CLI,1,40) AS CLI,TOT 
	 FROM vventas 
	 WHERE $FF 
	 ORDER BY ALM,COM,ISER,INUM,FEC,CLI ";
if($StrTR<=$VP_RegXPag){
	$s=$ss;
}else{
	$s=$ss." LIMIT $StrTemp,$VP_RegXPag";
}	
//echo $s."<br>";	  				
$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
$X2="</span></td>";
$result = grs($s);				
while ($row = $result->fetch_row()){
	echo "<tr>";
	echo $X1.$row[1].$X2;
	echo $X1.$row[2].$X2;
	echo $X1.$row[3].$X2;
	echo $X1.$row[4].$X2;
	echo $X1.$row[5].$X2;
	echo "<td bgcolor=\"#FFFFFF\" 
	style=\"text-align:right\">
	<span class=\"Estilo5\">".NF3($row[6]).$X2;					
	echo "</tr>";
	$TOTAL=$TOTAL + $row[6];
}

?>		  
<tr>
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF" >&nbsp;</td>
<td bgcolor="#FFFFFF" >&nbsp;</td>
<td bgcolor="#FFFFFF" style="text-align:right; color: #000;">TOTAL</td>
<td  bgcolor="#FFFFFF" style="text-align:right; color: #000;" ><?php echo NF3($TOTAL);?></td>
</tr>

</table>
</div>
</div>



    <div id="layer" style="position:absolute; left: 116px; top: 30px; width: 622px; height: 20px;">
      <div align="left" class="Estilo1">REPORTE DE VENTAS DE LA SEMANA</div>
    </div>
    <div id="LblTit" style="position:absolute; left: 57px; top: 25px; width: 64px;">
      <div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
</div>	
        <input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 803px; top: 109px; width: 57px;"
 value="Filtrar" onclick="fFiltrar();" />

    <div id="layer7" style="position:absolute; left: 539px; top: 89px; width: 45px;">
      <div align="left" class="f2">DESDE</div>
    </div>
        <input name="TxtDex" type="text" id="TxtDex" 
        style="position:absolute; left: 537px; top: 109px; width: 73px; background:#CCC" value="<?php echo $StrDex;?>"  
        onkeydown="return SoloFec(this,event,'TxtHax');"
        tabindex="1"  readonly="readonly"/>

        <select name="CboCom" id="CboCom" 
style="position:absolute; left: 316px; top: 109px; width: 124px;" 
onkeydown="return SoloTextoEx(event,'TxtSer');">
<?php
if($StrCom=="TODOS"){
	echo "<option value=\"TODOS\" selected=\"selected\">TODOS</option>";
}else{
	echo "<option value=\"TODOS\">TODOS</option>";
}
$s="SELECT com_nombre FROM comprobantes WHERE id_comprobante> 0 ORDER BY com_nombre";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrCom==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
        </select>

<div id="layer13" style="position:absolute; left: 318px; top: 89px; width: 121px;">
<div align="left" class="f2">COMPROBANTE</div>
</div>

<div style="position:absolute; left:29px; top: 89px; width: 87px;">
<div align="left" class="f2">EMPRESA</div>
</div>
<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:29px; top:109px; width: 121px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" tabindex="1">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>


<select name="CboAlm" id="CboAlm" style="position:absolute; left: 156px; top: 109px; width: 146px;" 
onkeydown="return SoloTextoEx(event,'CboCom');">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>

    <div id="layer14" style="position:absolute; left: 156px; top: 89px; width: 87px;">
      <div align="left" class="f2">ALMACEN</div>
    </div>
    <div id="layer15" style="position:absolute; left: 456px; top: 89px; width: 46px;">
      <div align="left" class="f2">SERIE</div>
    </div>
<input name="TxtSer" type="text" id="TxtSer" 
style="position:absolute; left: 454px; top: 109px; width: 69px;" 
value="<?php echo $StrSer;?>"   onblur="_S(this);" maxlength="4"
onkeydown="return SoloTextoEx(event,'TxtDex');"
tabindex="1" />

<select name="CboTdp" id="CboTdp" 
style="position:absolute; left: 707px; top: 109px; width: 90px;" 
onkeydown="return SoloTextoEx(event,'CmdB');" tabindex="9">
<?php
	echo FCBO_("tipp_nombre","tipos_pagos","",$StrTdp,"N","N");	
?>
        </select>

    <div id="layer2" style="position:absolute; left: 710px; top: 89px; width: 87px;">
      <div align="left" class="f2">TIPO DE PAGO</div>
    </div>
    <div id="layer6" style="position:absolute; left: 628px; top: 89px; width: 66px;">
      <div align="left" class="f2">HASTA</div>
    </div>
        <input name="TxtHax" type="text" id="TxtHax" 
        style="position:absolute; left: 625px; top: 109px; width: 73px; background:#CCC" value="<?php echo $StrHax;?>"  
        onkeydown="return SoloFec(this,event,'CboTdp');"
        tabindex="1" readonly="readonly"/>

        <input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 867px; top: 109px; width: 57px;"
 value="Imprimir" onclick="fPDF();" />

  

</form>


<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 190px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
